org.springframework.data.geo

## Class GeoModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.databind.module.SimpleModule
    - - org.springframework.data.geo.GeoModule

All Implemented Interfaces:
  com.fasterxml.jackson.core.Versioned, Serializable

    public class GeoModule
    extends com.fasterxml.jackson.databind.module.SimpleModule

Custom module to deserialize the geo-spatial value objects using Jackson 2.

Since:
  1.8
Author:
  Oliver Gierke
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

`com.fasterxml.jackson.databind.Module.SetupContext`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.module.SimpleModule

`_abstractTypes, _deserializerModifier, _deserializers, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

### Constructor Summary

Constructors
Constructor and Description
`GeoModule()` Creates a new `GeoModule` registering mixins for common geo-spatial types.

### Method Summary

### Methods inherited from class com.fasterxml.jackson.databind.module.SimpleModule

`_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getTypeId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setupModule, setValueInstantiators, version`

### Methods inherited from class com.fasterxml.jackson.databind.Module

`getDependencies`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeoModule

    public GeoModule()

Creates a new `GeoModule` registering mixins for common geo-spatial types.